#!/bin/bash

set -e

echo Text:
cat $1

echo Compiling $1...

deno run --allow-read --allow-write compiler/main.ts $1

echo Running out.slgbc...

cp out.slgbc runtime/

cd runtime/

docker build . -t sliger-buildenv
docker run --rm -it sliger-buildenv